Magento Forum

Problema installazione: abilitare le estensioni “mcrypt” e “curl”
 
max1850
Jr. Member
 
Total Posts:  2
Joined:  2009-04-27
 

Salve.
Uso Windows XP. Purtroppo non posso usare nessun ambiente preparato, come ad es. xammp, wamp, ecc..
Ho installato i programmi apache - php - mysql - phpmyadmin uno per uno a mano.
Ora, sto provando ad installare il nuovo cms di nome Magento, che promette molte novità. Durante l’installazione in locale mi esce il seguente messaggio d’errore:

PHP Extension “mcrypt” must be loaded
PHP Extension “curl” must be loaded
Please set all required settings before clicking Continue

Ora, nel mio php.ini ho abilitato queste 2 estensioni decommentantole; poi ho verificato che nella directory php/ext ci siano le relative librerie .dll ed è tutto ok. Ho riavviato Apache ma ancora mi da questo errore.

Prima mi usciva anche l’errore per l’estensione:

PHP Extension “pdo_mysql” must be loaded

ma ho risolto decommentanto, sempre nel php.ini, non solo “extension=php_pdo_mysql.dll” ma anche “extension=php_pdo.dll”, perchè altrimenti non funzionava (penso che sia un problema di dipendenze delle estensioni).

Ora, le 2 estensioni di sopra sono abilitate; quali dipendenze hanno e quindi quali altre estensioni devo abilitare nel php.ini per farle funzionare?

Grazie
Max!

 
Magento Community Magento Community
Magento Community
Magento Community
 
Black Cat
Moderator
 
Avatar
Total Posts:  3481
Joined:  2008-02-14
Assemini / Cagliari (Italy)
 

si ma dopo tutto quello che hai fatto cosa ti dice?
e poi perchè non puoi installare un ambiente WAMP?

 
Magento Community Magento Community
Magento Community
Magento Community
 
max1850
Jr. Member
 
Total Posts:  2
Joined:  2009-04-27
 
Black Cat - 27 April 2009 04:01 PM

si ma dopo tutto quello che hai fatto cosa ti dice?
e poi perchè non puoi installare un ambiente WAMP?

Ciao!
L’errore che mi esce è quello che ho spiegato prima, cioè appena provo a far partire l’installazione, dopo la schermata della scelta della lingua e della moneta, mi viene fuori il seguente errore che mi blocca l’installazione:

PHP Extension “mcrypt” must be loaded
PHP Extension “curl” must be loaded
Please set all required settings before clicking Continue

Ora, queste 2 estensioni del php sono già abilitate nel php.ini (cioè le ho decommentate), quindi presumo che l’errore consiste nel fatto che devo abilitare altre estensioni nel php.ini.
Sai da quali estensioni dipendono quelle 2 dell’errore, così da poterle abilitare?

Max!

P.S.
Un ambiente wamp non posso installarlo perchè ho tutti i programmi configurati e se qualcosa non va rischio di bloccare tutto il mio lavoro

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top